Skip to main content
GET
/
v1
/
{target}
/
{identifier}
/
attributes
List attributes
curl --request GET \
  --url https://api.connect-crm.com/v1/{target}/{identifier}/attributes
{
  "data": [
    {
      "id": {
        "workspace_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
        "object_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
        "attribute_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10"
      },
      "created_at": "2024-09-04T20:45:09Z",
      "archived_at": "2024-09-04T20:45:09Z",
      "slug": "<string>",
      "title": "<string>",
      "type": "<string>",
      "description": "<string>",
      "is_required": true,
      "is_unique": true,
      "is_multi_select": true,
      "is_system_attribute": true,
      "config": {
        "currency": null,
        "record_reference": {
          "allowed_object_ids": [
            "9293961c-df93-4d6d-a2cc-fc3e353b2d10"
          ]
        }
      },
      "relationship": {
        "id": {
          "attribute_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
          "object_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10"
        }
      },
      "sort_order": 1,
      "default_value": "Default Value"
    }
  ]
}

Path Parameters

target
enum<string>
required

Whether the attributes are on an object.

Available options:
objects
identifier
string
required

A UUID or slug to identify the object.

Response

Success

data
object[]
required